//
//  AppDelegate.m
//  simplePushSample
//
//  Created by 정종현 on 2018. 1. 3..
//  Copyright © 2018년 dantexx. All rights reserved.
//

#import "AppDelegate.h"
#import "PushReceiver.h"

@interface AppDelegate ()

@end

@implementation AppDelegate


- (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions {
    /*
     (Required) PushManager 초기화 및 메시지를 전달
    */
    [[PushManager defaultManager] application:application didFinishLaunchingWithOptions:launchOptions];
    
    /*
     (Optional) APNS 메시지 수신후 PushReceiver.m 파일에서 처리하도록 하는 샘플
     PushReceiver.m 파일은 필요에 따라 변경하여 사용
     APNS 메시지 수신 -> PushManager -> PushReceiver
    */
    [[PushManager defaultManager] initilaizeWithDelegate:[[PushReceiver alloc] init]];
    
    /*
      (Optional) APNS_MODE설정을 위한 값(4.0이상)
      * 여러 위치 사용 가능, 설명을 위해 PushReceiver.m 파일에도 샘플 코드가 있음 *
      - APNS_MODE는 서버에서 메시지 발송시 APNS서버를 TEST로 발송할지 REAL로 발송할지의 대한 여부값이 됨
      - RegisterServiceAndUser API호출시 서버에 해당값을 전달
      - PushManager 초기화시 값이 설정되며 default 값은 REAL
        (5.0.4 버전 이상시 mobileprovision 값을 체크하여 라이브러리에서 자동으로 설정)
      - 개발용 인증서로 빌드시 APNS TOKEN값은 TEST토큰값이므로 DEV설정 필요
    */
    //[[PushManager defaultManager].info changeMode:@"DEV"];
    return YES;
}

//APNS 메시지 수신시 이벤트가 들어오는 딜리게이트 함수 (APPLE 제공)
//해당 딜리게이트 함수가 없을 경우 PushManager에서 이벤트를 받아 처리됨
//- (void)application:(UIApplication *)application didReceiveRemoteNotification:(NSDictionary *)userInfo {
//    
//    NSLog( @"didReceiveRemoteNotification: %@", userInfo );
//    
//    //APNS 메시지를 PushManager로 전달하여야 모피어스PUSH 라이브러리에서 메시지를 처리
//    [[PushManager defaultManager] application:application didReceiveRemoteNotification:userInfo];
//}


- (void)applicationWillResignActive:(UIApplication *)application {
    // Sent when the application is about to move from active to inactive state. This can occur for certain types of temporary interruptions (such as an incoming phone call or SMS message) or when the user quits the application and it begins the transition to the background state.
    // Use this method to pause ongoing tasks, disable timers, and invalidate graphics rendering callbacks. Games should use this method to pause the game.
}


- (void)applicationDidEnterBackground:(UIApplication *)application {
    // Use this method to release shared resources, save user data, invalidate timers, and store enough application state information to restore your application to its current state in case it is terminated later.
    // If your application supports background execution, this method is called instead of applicationWillTerminate: when the user quits.
}


- (void)applicationWillEnterForeground:(UIApplication *)application {
    // Called as part of the transition from the background to the active state; here you can undo many of the changes made on entering the background.
}


- (void)applicationDidBecomeActive:(UIApplication *)application {
    // Restart any tasks that were paused (or not yet started) while the application was inactive. If the application was previously in the background, optionally refresh the user interface.
}


- (void)applicationWillTerminate:(UIApplication *)application {
    // Called when the application is about to terminate. Save data if appropriate. See also applicationDidEnterBackground:.
}

@end
