//
//  ViewController.m
//  simplePushSample
//
//  Created by 정종현 on 2018. 1. 3..
//  Copyright © 2018년 dantexx. All rights reserved.
//

#import "ViewController.h"
#import <MPushLibrary/MPushLibrary.h>

@interface ViewController () <PushManagerDelegate,UITextFieldDelegate>

@property (nonatomic, strong) IBOutlet UITextField *textFieldCUID;
@property (nonatomic, strong) IBOutlet UITextField *textFieldCNAME;
@property (nonatomic, strong) IBOutlet UITextField *textFieldPSID;

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view, typically from a nib.
}


- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

- (BOOL)textFieldShouldReturn:(UITextField *)textField {
    [textField resignFirstResponder];
    return YES;
}

- (IBAction)onClickRegisterServiceAndUserButton:(id)sender {
    
    [self.view endEditing:YES];
    
    [[PushManager defaultManager] registerServiceAndUser:self clientUID:self.CUID clientName:self.CNAME completionHandler:^(BOOL success) {
        
        if ( success == YES ) {
            self.textFieldPSID.text = [PushManager defaultManager].info.pushServiceID;
        }
        
        NSString *message = ( ! success ) ? @"Registering Service And User is FAIL !!" : @"Registering Service And User is SUCCESS !!";
        
        if ( NSClassFromString(@"UIAlertController") ) {
            UIAlertController *alert = [UIAlertController alertControllerWithTitle:@"알림" message:message preferredStyle:UIAlertControllerStyleAlert];
            
            [alert addAction:[UIAlertAction actionWithTitle:@"확인" style:UIAlertActionStyleDefault handler:^(UIAlertAction * _Nonnull action) {
                
            }]];
            
            [self presentViewController:alert animated:YES completion:^{
                
            }];
        }
        else {
            UIAlertView *alert = [[UIAlertView alloc] initWithTitle:@"알림" message:message delegate:nil cancelButtonTitle:@"확인" otherButtonTitles:nil];
            [alert show];
        }
        
    }];
}

//- (void)manager:(PushManager *)manager didReceiveUserNotification:(NSDictionary *)userInfo status:(NSString *)status messageUID:(NSString *)messageUID
//{
//
//}

- (NSString *)CUID {
    return self.textFieldCUID.text ? self.textFieldCUID.text : @"";
}

- (NSString *)CNAME {
    return self.textFieldCNAME.text ? self.textFieldCNAME.text : @"";
}


@end
